TaskInputFilePropertyBuilder (Gradle API 4.4)
Date: 2017-12-06

org.gradle.api.tasks

## Interface TaskInputFilePropertyBuilder

- All Superinterfaces:
    CompatibilityAdapterForTaskInputs, TaskFilePropertyBuilder, TaskInputs, TaskPropertyBuilder

      @Incubating
      public interface TaskInputFilePropertyBuilder
      extends TaskFilePropertyBuilder, TaskInputs

  Describes an input property of a task that contains zero or more files.
  Since:
    3.0

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `TaskInputFilePropertyBuilder` | `dir(Object dirPath)` Deprecated. Use `TaskInputs.dir(Object)` directly instead.
    `TaskInputFilePropertyBuilder` | `file(Object path)` Deprecated. Use `TaskInputs.file(Object)` directly instead.
    `TaskInputFilePropertyBuilder` | `files(Object... paths)` Deprecated. Use `TaskInputs.files(Object...)` directly instead.
    `FileCollection` | `getFiles()` Deprecated. Use `TaskInputs.getFiles()` directly instead.
    `boolean` | `getHasInputs()` Deprecated. Use `TaskInputs.getHasInputs()` directly instead.
    `boolean` | `getHasSourceFiles()` Deprecated. Use `TaskInputs.getHasSourceFiles()` directly instead.
    `Map<String,Object>` | `getProperties()` Deprecated. Use `TaskInputs.getProperties()` directly instead.
    `FileCollection` | `getSourceFiles()` Deprecated. Use `TaskInputs.getSourceFiles()` directly instead.
    `TaskInputFilePropertyBuilder` | `optional()` Marks a task property as optional.
    `TaskInputFilePropertyBuilder` | `optional(boolean optional)` Sets whether the task property is optional.
    `TaskInputs` | `properties(Map<String,?> properties)` Deprecated. Use `TaskInputs.properties(Map)` directly instead.
    `TaskInputPropertyBuilder` | `property(String name, Object value)` Deprecated. Use `TaskInputs.property(String, Object)` directly instead.
    `TaskInputFilePropertyBuilder` | `skipWhenEmpty()` Skip executing the task if the property contains no files.
    `TaskInputFilePropertyBuilder` | `skipWhenEmpty(boolean skipWhenEmpty)` Sets whether executing the task should be skipped if the property contains no files.
    `TaskInputFilePropertyBuilder` | `withNormalizer(Class<? extends FileNormalizer> normalizer)` Sets the normalizer to use for this property.
    `TaskInputFilePropertyBuilder` | `withPathSensitivity(PathSensitivity sensitivity)` Sets which part of the path of files should be considered during up-to-date checks.
    `TaskInputFilePropertyBuilder` | `withPropertyName(String propertyName)` Sets the name for this property.

- - ### Method Detail

    - #### withPropertyName

          TaskInputFilePropertyBuilder withPropertyName(String propertyName)

      Sets the name for this property. The name must be a valid Java identifier, or a series of valid Java identifiers separated with dots ('.').

      If the method is not called, or if it is called with `null`, a name will be assigned to the property automatically.

      Specified by:
        `withPropertyName` in interface `TaskFilePropertyBuilder`

    - #### skipWhenEmpty

          TaskInputFilePropertyBuilder skipWhenEmpty()

      Skip executing the task if the property contains no files. If there are multiple properties with {code skipWhenEmpty = true}, then they all need to be empty for the task to be skipped.

    - #### skipWhenEmpty

          TaskInputFilePropertyBuilder skipWhenEmpty(boolean skipWhenEmpty)

      Sets whether executing the task should be skipped if the property contains no files. If there are multiple properties with {code skipWhenEmpty = true}, then they all need to be empty for the task to be skipped.

    - #### optional

          TaskInputFilePropertyBuilder optional()

      Marks a task property as optional. This means that a value does not have to be specified for the property, but any value specified must meet the validation constraints for the property.

    - #### optional

          TaskInputFilePropertyBuilder optional(boolean optional)

      Sets whether the task property is optional. If the task property is optional, it means that a value does not have to be specified for the property, but any value specified must meet the validation constraints for the property.

    - #### withPathSensitivity

          TaskInputFilePropertyBuilder withPathSensitivity(PathSensitivity sensitivity)

      Sets which part of the path of files should be considered during up-to-date checks.
      Since:
        3.1

    - #### withNormalizer

          TaskInputFilePropertyBuilder withNormalizer(Class<? extends FileNormalizer> normalizer)

      Sets the normalizer to use for this property.
      Since:
        4.3

    - #### getHasInputs

          @Deprecated
          boolean getHasInputs()

      Deprecated. Use `TaskInputs.getHasInputs()` directly instead.
      Throws `UnsupportedOperationException`.
      Specified by:
        `getHasInputs` in interface `TaskInputs`
      Returns:
        true if this task has declared any inputs.

    - #### getFiles

          @Deprecated
          FileCollection getFiles()

      Deprecated. Use `TaskInputs.getFiles()` directly instead.
      Throws `UnsupportedOperationException`.
      Specified by:
        `getFiles` in interface `TaskInputs`
      Returns:
        The input files. Returns an empty collection if this task has no input files.

    - #### files

          @Deprecated
          TaskInputFilePropertyBuilder files(Object... paths)

      Deprecated. Use `TaskInputs.files(Object...)` directly instead.
      Throws `UnsupportedOperationException`.
      Specified by:
        `files` in interface `CompatibilityAdapterForTaskInputs`
      Specified by:
        `files` in interface `TaskInputs`
      Parameters:
        `paths` - The input files. The given paths are evaluated as per `Project.files(Object...)`.
      Returns:
        a property builder to further configure the property.

    - #### file

          @Deprecated
          TaskInputFilePropertyBuilder file(Object path)

      Deprecated. Use `TaskInputs.file(Object)` directly instead.
      Throws `UnsupportedOperationException`.
      Specified by:
        `file` in interface `CompatibilityAdapterForTaskInputs`
      Specified by:
        `file` in interface `TaskInputs`
      Parameters:
        `path` - The input file. The given path is evaluated as per `Project.file(Object)`.
      Returns:
        a property builder to further configure the property.

    - #### dir

          @Deprecated
          TaskInputFilePropertyBuilder dir(Object dirPath)

      Deprecated. Use `TaskInputs.dir(Object)` directly instead.
      Throws `UnsupportedOperationException`.
      Specified by:
        `dir` in interface `CompatibilityAdapterForTaskInputs`
      Specified by:
        `dir` in interface `TaskInputs`
      Parameters:
        `dirPath` - The directory. The path is evaluated as per `Project.file(Object)`.
      Returns:
        a property builder to further configure the property.

    - #### getProperties

          @Deprecated
          Map<String,Object> getProperties()

      Deprecated. Use `TaskInputs.getProperties()` directly instead.
      Throws `UnsupportedOperationException`.
      Specified by:
        `getProperties` in interface `TaskInputs`
      Returns:
        The properties.

    - #### property

          @Deprecated
          TaskInputPropertyBuilder property(String name,
                                                     @Nullable
                                                     Object value)

      Deprecated. Use `TaskInputs.property(String, Object)` directly instead.
      Throws `UnsupportedOperationException`.
      Specified by:
        `property` in interface `CompatibilityAdapterForTaskInputs`
      Specified by:
        `property` in interface `TaskInputs`
      Parameters:
        `name` - The name of the property. Must not be null.
        `value` - The value for the property. Can be null.

    - #### properties

          @Deprecated
          TaskInputs properties(Map<String,?> properties)

      Deprecated. Use `TaskInputs.properties(Map)` directly instead.
      Throws `UnsupportedOperationException`.
      Specified by:
        `properties` in interface `TaskInputs`
      Parameters:
        `properties` - The properties.

    - #### getHasSourceFiles

          @Deprecated
          boolean getHasSourceFiles()

      Deprecated. Use `TaskInputs.getHasSourceFiles()` directly instead.
      Throws `UnsupportedOperationException`.
      Specified by:
        `getHasSourceFiles` in interface `TaskInputs`
      Returns:
        true if this task has source files, false if not.

    - #### getSourceFiles

          @Deprecated
          FileCollection getSourceFiles()

      Deprecated. Use `TaskInputs.getSourceFiles()` directly instead.
      Throws `UnsupportedOperationException`.
      Specified by:
        `getSourceFiles` in interface `TaskInputs`
      Returns:
        The set of source files for this task.